Skip to main content

private/staking/get-convert-history

POST 

/private/staking/get-convert-history

Get convert request history

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/staking/get-convert-history"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    start_time int64

    Start time in Unix format (inclusive), ms or ns. Default: end_time - 30 days. Min: end_time - 180 days.

    end_time int64

    End time in Unix format (inclusive), ms or ns. Default: current system timestamp.

    limit int32

    Max number of requests returned. Default: 20. Max: 500.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. data array of convert history entries.
    data object[]
    List of convert history entries.
  • Array [
  • from_instrument_name string

    Instrument name to convert from, e.g. ETH.staked or CDCETH

    to_instrument_name string

    Instrument name to convert to, e.g. CDCETH or ETH.staked

    expected_rate decimal

    Expected conversion rate

    from_quantity decimal

    Quantity to be converted in from_instrument_name

    slippage_tolerance_bps int32

    Maximum slippage allowed in basis point

    actual_rate decimal

    Actual conversion rate

    to_quantity decimal

    Quantity converted to to_instrument_name

    convert_id string

    Convert request id

    status ConvertStatus (string)

    Possible values: [NEW, COMPLETED, REJECTED]

    Status of a convert request (used wherever convert_id is present).

    • ➖ NEW: Request created
    • ➖ COMPLETED: Conversion completed
    • ➖ REJECTED: Conversion rejected
    • Possible values by operations:
    • ➖ private/staking/get-open-convert: NEW
    • ➖ private/staking/get-convert-history: COMPLETED, REJECTED
    create_timestamp_ms int64

    Request creation timestamp in milliseconds in Unix time format.

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.